summaryrefslogtreecommitdiffstats
path: root/ci/envs/guest-setup0.sh
diff options
context:
space:
mode:
authorkalyanreddy <reddyx.gundarapu@intel.com>2016-09-07 19:14:05 +0530
committerkalyanreddy <reddyx.gundarapu@intel.com>2016-09-08 15:21:26 +0530
commit3dbc3510f0107b73c1d3943937218d2dcf5353b3 (patch)
tree7fb35a34410f713e300943fd4ebe95b2868237a9 /ci/envs/guest-setup0.sh
parent0ed5bc19d7d51b7bf1a689bab1f356b1a2d7f6bd (diff)
This patch contains the scripts to remove hardcoded kernel version,
host ip and cleaning of the host machine after execution of cyclictest. Change-Id: I92aaed5229fc3c572e74dcce03b2c984ae1bb111 Co-Authored-By: Shravani <shravani.p@tcs.com> Signed-off-by: Gundarapu Kalyan Reddy <reddyx.gundarapu@intel.com>
Diffstat (limited to 'ci/envs/guest-setup0.sh')
-rwxr-xr-xci/envs/guest-setup0.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/ci/envs/guest-setup0.sh b/ci/envs/guest-setup0.sh
index 4f9eaa430..301d34cbe 100755
--- a/ci/envs/guest-setup0.sh
+++ b/ci/envs/guest-setup0.sh
@@ -8,9 +8,15 @@
## http://www.apache.org/licenses/LICENSE-2.0
###############################################################################
+source utils.sh
+KERNEL_VERSION=$( getKernelVersion )
+if [ -z $KERNEL_VERSION ];then
+ echo "Kernel RPM not found"
+ exit 1
+fi
rpmdir=${1:-"/root/workspace/rpm"}
-rpmpat="kernel-4.4*.rpm"
+rpmpat="kernel-${KERNEL_VERSION}*.rpm"
guest_isolcpus=1
# The script's caller should passing the rpm directory that is built out from